org.vishia.gral.swt

## Class SwtFocusAction

- java.lang.Object
- - org.vishia.gral.swt.SwtFocusAction

- All Implemented Interfaces:
    java.util.EventListener, org.eclipse.swt.events.FocusListener, org.eclipse.swt.internal.SWTEventListener

      public class SwtFocusAction
      extends java.lang.Object
      implements org.eclipse.swt.events.FocusListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SwtMng` | `guiMng`
    `private SwtProperties` | `propertiesGui`
    `(package private) java.lang.String` | `sCmdEnter`
    `(package private) java.lang.String` | `sCmdRelease`
    `private GralUserAction` | `userAction` Reference to the users method.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwtFocusAction(SwtMng guiMng, GralUserAction userCmdGui, java.lang.String sCmdEnter, java.lang.String sCmdRelease)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `exec(org.eclipse.swt.events.FocusEvent ev, java.lang.String sCmd)`
    `void` | `focusGained(org.eclipse.swt.events.FocusEvent ev)`
    `void` | `focusLost(org.eclipse.swt.events.FocusEvent ev)`
    `(package private) void` | `setUserAction(GralUserAction userAction)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userAction

          private GralUserAction userAction

      Reference to the users method.

    - #### guiMng

          protected final SwtMng guiMng

    - #### sCmdEnter

          java.lang.String sCmdEnter

    - #### sCmdRelease

          java.lang.String sCmdRelease

    - #### propertiesGui

          private final SwtProperties propertiesGui

  - ### Constructor Detail

    - #### SwtFocusAction

          public SwtFocusAction(SwtMng guiMng,
                                GralUserAction userCmdGui,
                                java.lang.String sCmdEnter,
                                java.lang.String sCmdRelease)

      Constructor.
      Parameters:
        `guiMng` - The Gui-manager
        `userCmdGui` - The users method for the action.
        `sCmdPress` - command string provided as first parameter on mouse button press.
        `sCmdRelease` -
        `sCmdDoubleClick` -

  - ### Method Detail

    - #### setUserAction

          void setUserAction(GralUserAction userAction)

    - #### focusGained

          public void focusGained(org.eclipse.swt.events.FocusEvent ev)

      Specified by:
        `focusGained` in interface `org.eclipse.swt.events.FocusListener`

    - #### focusLost

          public void focusLost(org.eclipse.swt.events.FocusEvent ev)

      Specified by:
        `focusLost` in interface `org.eclipse.swt.events.FocusListener`

    - #### exec

          private void exec(org.eclipse.swt.events.FocusEvent ev,
                            java.lang.String sCmd)